<?php if(! defined('ABSPATH')) exit; ?>
<h4>Composizioni floreali eleganti e rispettose, per esprimere cordoglio e vicinanza nei momenti di dolore.</h4>
<p>
    Da questa sezione è possibile ordinare fiori e composizioni floreali che verranno consegnati direttamente nella
    destinazione selezionata. (Servizio erogato in collaborazione con Floremoria<sup>&reg;</sup>)
</p>

<div id="consegna-funerale" class="mb-3">
    <p>Per poter inviare i fiori in tempo per il funerale hai ancora a disposizione <span id="countdown-fiori"></span>
    </p>
    <a href="#"
       id="floremoria-funerale"
       class="btn btn-default btn-fiori btn-floremoria mb-3 annfu_invio"
        <?php echo esc_html(wp_is_mobile() ? 'style="width: 100%"' : ''); ?>
       data-slug="<?php echo esc_attr($annuncio['slug']); ?>"
       data-nome="<?php echo esc_attr($annuncio['nome']); ?>"
       data-cognome="<?php echo esc_attr($annuncio['cognome']); ?>"
       data-morte="<?php echo esc_attr($annuncio['dataMorte']); ?>T00:00:00"
       data-nascita="<?php echo esc_attr(is_null($annuncio['dataNascita']) ? "" : $annuncio['dataNascita'] . 'T00:00:00'); ?>"
       data-url="<?php echo esc_attr($annuncio['url']); ?>"
       data-scadenza="<?php echo esc_attr($annuncio['dataOraScadenzaFiori']); ?>"
       data-consegna="<?php echo esc_attr($annuncio['luogoCerimonia']); ?>"
       data-ora-consegna="Consegna per il funerale del <?php echo esc_attr($annuncio['dataFuneraleIta']); ?> ore <?php echo esc_attr($annuncio['oraFunerale']); ?>"
       data-pulsante="chiesa"
    >Ordina dei fiori (consegna in Chiesa)</a>

    <?php if (count($annuncio['stanzaCasaFuneraria']) > 0): ?>
        <a href="#"
           id="floremoria-casa-funeraria"
           class="btn btn-default btn-fiori btn-floremoria mb-3 annfu_invio"
            <?php echo esc_attr(wp_is_mobile() ? 'style="width: 100%"' : ''); ?>
           data-slug="<?php echo esc_attr($annuncio['slug']); ?>"
           data-nome="<?php echo esc_attr($annuncio['nome']); ?>"
           data-cognome="<?php echo esc_attr($annuncio['cognome']); ?>"
           data-morte="<?php echo esc_attr($annuncio['dataMorte']); ?>T00:00:00"
           data-nascita="<?php echo esc_attr(is_null($annuncio['dataNascita']) ? "" : $annuncio['dataNascita'] . 'T00:00:00'); ?>"
           data-url="<?php echo esc_attr($annuncio['url']); ?>"
           data-scadenza="<?php echo esc_attr($annuncio['dataOraScadenzaFiori']); ?>"
           data-consegna="Casa Funeraria San Marco - <?php echo esc_attr($annuncio['onoranzaFunebre']['indirizzo']); ?>"
           data-ora-consegna="Consegna prima possibile (massimo <?php echo esc_attr($annuncio['dataFuneraleIta']); ?> ore <?php
           $ora = explode(':', $annuncio['oraFunerale']);
           echo esc_html(str_pad(intval($ora[0]) - 1, 2, '0'));
           echo ':';
           echo esc_html($ora[1]);
           ?>)"
           data-pulsante="casa funeraria"
        >Ordina dei fiori (consegna in Casa Funeraria)</a>
    <?php endif; ?>
</div>
<div id="consegna-cimitero" class="annfu_none">
    <a href="#"
       id="floremoria-cimitero"
       class="btn btn-default btn-fiori btn-floremoria annfu_invio"
       data-slug="<?php echo esc_attr($annuncio['slug']); ?>"
       data-nome="<?php echo esc_attr($annuncio['nome']); ?>"
       data-cognome="<?php echo esc_attr($annuncio['cognome']); ?>"
       data-morte="<?php echo esc_attr($annuncio['dataMorte']); ?>T00:00:00"
       data-nascita="<?php echo esc_attr(is_null($annuncio['dataNascita']) ? "" : $annuncio['dataNascita'] . 'T00:00:00'); ?>"
       data-url="<?php echo esc_attr($annuncio['url']); ?>"
       data-consegna="<?php echo esc_attr($annuncio['posizioneCimiteroCompleta']); ?>"
       data-pulsante="cimitero"
    >Ordina dei fiori (consegna in cimitero)</a>
</div>

<div class="avviso-redirect annfu_none"></div>
